CVE-1999-1536
CVSS7.2
发布时间 :1999-07-30 00:00:00
修订时间 :2016-10-17 22:05:39
NMCOS    

[原文].sbstart startup script in AcuShop Salesbuilder is world writable, which allows local users to gain privileges by appending commands to the file.


[CNNVD]Acushop SalesBuilder Possible Root Compromise漏洞(CNNVD-199907-037)

        AcuShop Salesbuilder的.sbstart startup脚本存在全局可写漏洞。本地用户可以通过在文件中添加指令获得权限。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1536
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1536
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199907-037
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=93347785827287&w=2
(UNKNOWN)  BUGTRAQ  19990730 World writable root owned script in SalesBuilder (RedHat 6.0)
http://www.securityfocus.com/bid/560
(VENDOR_ADVISORY)  BID  560

- 漏洞信息

Acushop SalesBuilder Possible Root Compromise漏洞
高危 配置错误
1999-07-30 00:00:00 2005-10-20 00:00:00
本地  
        AcuShop Salesbuilder的.sbstart startup脚本存在全局可写漏洞。本地用户可以通过在文件中添加指令获得权限。

- 公告与补丁

        Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 漏洞信息

13557
AcuShop Salesbuilder .sbstart Script Arbitrary Command Execution
Local Access Required Misconfiguration
Loss of Integrity
Exploit Unknown

- 漏洞描述

Salesbuilder contains a flaw related to the to the .sbstart script that may allow an attacker to escalate privileges on the affected host. When installed the script is world-writeable and, if installed by root, will allow execution of commands at that privilege level.

- 时间线

1999-07-30 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

Acushop SalesBuilder Possible Root Compromise Vulnerability
Configuration Error 560
No Yes
1999-07-30 12:00:00 2009-07-11 12:56:00
First posted to BugTraq by <smaster@sail.it> on July 30, 1999.

- 受影响的程序版本

Acushop SalesBuilder 2.6
- RedHat Linux 6.0

- 漏洞讨论

Acushop SalesBuilder is an E-Commerce package from Acushop. It is included as a demo in the Red Hat Linux 6.0 Applications CD.

The startup file .sbstart linked from /usr/bin/salesbuilder and /usr/local/bin/salesbuilder is set world writable. This allows attackers to modify the file and add malicious commands which could lead to a local root compromise.

.sbstart can be found in /usr/local/bin/acushop/. If this application was installed as root, .sbstart will have the following permissions:

-rwxrwxrwx 1 root root 163 Jun 29 19:45 .sbstart

Being fully writeable and executable by anyone, an example of what a malicious user could add to the file is below:

echo "r00t::0:0::/root:/bin/sh" &gt;&gt; /etc/passwd

They would then wait for root to start salesbuilder and have their malicious commands executed.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站